'use strict';

Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });

const icons = require('@iconify/utils/lib/css/icons');
const loader = require('./loader.cjs');
const names = require('./names.cjs');

function getCSSRulesForIcons(icons$1, options = {}) {
  const rules = /* @__PURE__ */ Object.create(null);
  const prefixes = names.getIconNames(icons$1);
  for (const prefix in prefixes) {
    const iconSet = loader.loadIconSet(prefix, options);
    if (!iconSet) {
      throw new Error(
        `Cannot load icon set for "${prefix}". Install "@iconify-json/${prefix}" as dev dependency?`
      );
    }
    const generated = icons.getIconsCSSData(
      iconSet,
      Array.from(prefixes[prefix]),
      options
    );
    const result = generated.common ? [generated.common, ...generated.css] : generated.css;
    result.forEach((item) => {
      const selector = Array.isArray(item.selector) ? item.selector.join(", ") : item.selector;
      rules[selector] = item.rules;
    });
  }
  return rules;
}

exports.getCSSRulesForIcons = getCSSRulesForIcons;
