'use strict';

Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });

const consola = require('consola');
const _import = require('./import.cjs');
const write = require('./write.cjs');

async function loadFigmaIconSets(options) {
  const { import: importOptions, write: writeOptions } = options;
  const iconSets = await _import.importFigmaIconSets(importOptions);
  iconSets.forEach((iconSet) => {
    consola.log("Found", iconSet.prefix, iconSet.count(), "icons");
  });
  write.writeIconifyJSONs(iconSets, writeOptions);
}

exports.loadFigmaIconSets = loadFigmaIconSets;
