import consola from 'consola';
import { importFigmaIconSets } from './import.mjs';
import { writeIconifyJSONs } from './write.mjs';

async function loadFigmaIconSets(options) {
  const { import: importOptions, write: writeOptions } = options;
  const iconSets = await importFigmaIconSets(importOptions);
  iconSets.forEach((iconSet) => {
    consola.log("Found", iconSet.prefix, iconSet.count(), "icons");
  });
  writeIconifyJSONs(iconSets, writeOptions);
}

export { loadFigmaIconSets };
