import { importDirectorySync } from '@iconify/tools';
import { IconifyJSON } from '@iconify/types';
import { PreserveColorsFn } from '../helpers/icon-set';
export interface GetLocalIconSetsOptions {
    /**
     * if value type is `string`, it will import all icons from the directory
     *
     * ref: https://iconify.design/docs/libraries/tools/import/directory.html
     */
    define: Record<string, string | {
        /**
         * Import all icons from directory
         *
         * ref: https://iconify.design/docs/libraries/tools/import/directory.html
         */
        path: string;
        options?: Parameters<typeof importDirectorySync>[1];
        /** Custom colors should preserved, Do not transform to `currentColor` */
        preserveColors?: PreserveColorsFn;
    } | {
        /**
         * Importing Iconify icon set by `IconifyJSON`
         */
        iconifyJsonPath: string;
    }>;
}
/** ref: https://iconify.design/docs/libraries/tools/import/directory.html */
export declare function getLocalIconSets(options: GetLocalIconSetsOptions): Record<string, IconifyJSON>;
