import { IconSet } from '@iconify/tools';
import { ColorAttributes } from '@iconify/tools/lib/colors/attribs';
import { ExtendedTagElementWithColors } from '@iconify/tools/lib/colors/parse';
import { Color } from '@iconify/utils/lib/colors/types';
import { DynamicIconifyPluginOptions } from '../options';
export declare const COLORED_POSTFIX = "__colored";
export declare function normalizeColoredName(name: string): string;
export type PreserveColorsFn = (data: {
    iconName: string;
    attr: ColorAttributes;
    colorString: string;
    parsedColor: Color | null;
    tagName?: string;
    item?: ExtendedTagElementWithColors;
}) => boolean | void;
export interface OptimizeIconSetOptions {
    preserveColors?: PreserveColorsFn;
}
export declare function optimizeIconSet(iconSet: IconSet, options?: OptimizeIconSetOptions): void;
export interface GetIconSetIconStylesOptions {
    pluginOptions: DynamicIconifyPluginOptions;
    /** Export all icon styles by default */
    staticIconNames?: string[] | '*' | null;
}
export declare function getIconSetIconStyles(iconSetName: string, options: GetIconSetIconStylesOptions): Record<string, Record<string, string>>;
export declare function loadIconifyJsonPath(path: string): IconSet | null;
