import { IconifyJSON } from '@iconify/types';
/**
 * Callback for loading icon set
 */
type IconifyJSONLoaderCallback = () => IconifyJSON;
/**
 * Options for icon set loaders
 */
export interface IconifyPluginLoaderOptions {
    iconSets?: Record<string, IconifyJSON | string | IconifyJSONLoaderCallback>;
}
/**
 * Locate icon set
 */
interface LocatedIconSet {
    main: string;
    info?: string;
}
export declare function locateIconSet(prefix: string): LocatedIconSet | undefined;
/**
 * Load icon set
 */
export declare function loadIconSet(prefix: string, options: IconifyPluginLoaderOptions): IconifyJSON | undefined;
export declare function ensureLoadIconSet(prefix: string, options: IconifyPluginLoaderOptions): IconifyJSON;
export {};
