import { matchIconName } from '@iconify/utils/lib/icon/name';

function getIconNames(icons) {
  const prefixes = /* @__PURE__ */ Object.create(null);
  const add = (prefix, name) => {
    if (typeof prefix === "string" && prefix.match(matchIconName) && typeof name === "string" && name.match(matchIconName)) {
      (prefixes[prefix] || (prefixes[prefix] = /* @__PURE__ */ new Set())).add(name);
    }
  };
  let iconNames;
  if (typeof icons === "string") {
    iconNames = icons.split(/[\s,.]/);
  } else if (Array.isArray(icons)) {
    iconNames = [];
    icons.forEach((item) => {
      item.split(/[\s,.]/).forEach((name) => iconNames.push(name));
    });
  } else {
    return;
  }
  if (iconNames?.length) {
    iconNames.forEach((icon) => {
      if (!icon.trim()) {
        return;
      }
      const nameParts = icon.split(":");
      if (nameParts.length === 2) {
        add(nameParts[0], nameParts[1]);
        return;
      }
      const classParts = icon.split("--");
      if (classParts[0].match(/^\.?icon$/)) {
        if (classParts.length === 3) {
          add(classParts[1], classParts[2]);
          return;
        }
        if (classParts.length === 2) {
          return;
        }
      }
      throw new Error(`Cannot resolve icon: "${icon}"`);
    });
  } else {
    return;
  }
  return prefixes;
}

export { getIconNames };
