import { CleanIconifyPluginOptions, DynamicIconifyPluginOptions } from './options';
/**
 * Generate styles for dynamic selector: class="icon-[mdi-light--home]"
 */
export declare function addDynamicIconSelectors(options?: DynamicIconifyPluginOptions): {
    handler: import('tailwindcss/types/config').PluginCreator;
    config?: Partial<import('tailwindcss/types/config').Config>;
};
/**
 * Generate styles for preset list of icons
 */
export declare function addCleanIconSelectors(icons: string[] | string, options?: CleanIconifyPluginOptions): {
    handler: import('tailwindcss/types/config').PluginCreator;
    config?: Partial<import('tailwindcss/types/config').Config>;
};
/**
 * Export types
 */
export type { CleanIconifyPluginOptions, DynamicIconifyPluginOptions };
export { optimizeIconSet } from './helpers/icon-set';
